Subject: Re: Bug in FvwmIconMan

From: [email-masked]
Date: Mon, 3 Mar 2003 00:35:19 +0100

On Fri, Jan 17, 2003 at 11:15:27PM +0100, Grzegorz Nieweglowski wrote:
> Fvwm version: 2.5.6 (CVS)
> 
> Problem: the "Resolution" option doesn't work correctly with NumManagers > 1
> 
> Example:
> 
> 	DestroyModuleConfig FvwmIconMan*
> 	*FvwmIconMan: NumManagers 2
> 	*FvwmIconMan: 1 Resolution !page
> 	*FvwmIconMan: 2 Resolution page
> 	FvwmIconMan
> 
> this should give me two nice IconMan windows, listing different things. The
> two IconMan windows do show up, but the second one never displays anything.
> No matter what "Resolution" I use, it stays empty. Other options work
> perfectly - different colorsets, geometry - no trouble.
> 
> Resolution, however, seems to work only for manager no. 1.

Actually, it it not a bug but poor documentation.  The decision
which pager is to be used is solely based on the window's name,
class, resource and icon name.  The resolution is permanent: once
a manager decides that it has to manage a window, it does not care
whether the window leaves the area specified by the resolution.

So much for the theory.  I will check in a patch into the 2.5.x
sources to 'fix' this.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Grzegorz Nieweglowski <[email-masked]>
Date: Mon, 3 Mar 2003 19:10:33 +0100

[email-masked] wrote:
>> this should give me two nice IconMan windows, listing different things.
>> The two IconMan windows do show up, but the second one never displays
>> anything.  No matter what "Resolution" I use, it stays empty. Other
>> options work perfectly - different colorsets, geometry - no trouble.
>> 
> class, resource and icon name. 

And those are the only hints that can be used to assign windows to different
managers? Well, IMHO it really should get mentioned in the man page.

Secondly, if that's the case, it would be good to remove the [id] from all
the options that are NumManagers - independent.

The man page part for the resolution:

*FvwmIconMan: [id] Resolution resolution
              Specifies  when  the  manager will display an entry
              for a certain window. (...)

The '[id]' part suggests that the IconMan is capable of setting separate
resolutions for different [id]'s. Which is not true. So it's just a mistake
in the manual?

-- 
\hoppke

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 4 Mar 2003 11:48:00 +0100

> the options that are NumManagers - independent.

Don't get me wrong.  The options are *not* manager independent.
It is just that changing the state does not move a window from one
manager to the other.

Bye

Dominik ^_^  ^_^